OCAColor.OCAColorValue (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.util

## Enum OCAColor.OCAColorValue

- java.lang.Object
- - java.lang.Enum<OCAColor.OCAColorValue>
  - - org.apache.fop.util.OCAColor.OCAColorValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OCAColor.OCAColorValue>
  Enclosing class:
    OCAColor

      public static enum OCAColor.OCAColorValue
      extends java.lang.Enum<OCAColor.OCAColorValue>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACK`
    `BLUE`
    `BROWN`
    `CYAN`
    `DEVICE_DEFAULT`
    `GREEN`
    `MAGENTA`
    `MEDIUM_COLOR`
    `RED`
    `YELLOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCAColor.OCAColorValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OCAColor.OCAColorValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLUE

          public static final OCAColor.OCAColorValue BLUE

    - #### RED

          public static final OCAColor.OCAColorValue RED

    - #### MAGENTA

          public static final OCAColor.OCAColorValue MAGENTA

    - #### GREEN

          public static final OCAColor.OCAColorValue GREEN

    - #### CYAN

          public static final OCAColor.OCAColorValue CYAN

    - #### YELLOW

          public static final OCAColor.OCAColorValue YELLOW

    - #### BLACK

          public static final OCAColor.OCAColorValue BLACK

    - #### BROWN

          public static final OCAColor.OCAColorValue BROWN

    - #### DEVICE_DEFAULT

          public static final OCAColor.OCAColorValue DEVICE_DEFAULT

    - #### MEDIUM_COLOR

          public static final OCAColor.OCAColorValue MEDIUM_COLOR

  - ### Method Detail

    - #### values

          public static OCAColor.OCAColorValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OCAColor.OCAColorValue c : OCAColor.OCAColorValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OCAColor.OCAColorValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.